package com.logicbig.example;

import com.fasterxml.jackson.databind.MapperFeature;
import com.fasterxml.jackson.databind.ObjectMapper;
import java.io.IOException;
import java.time.ZonedDateTime;
import java.util.Date;

public class MainQuickContactViewSerialization {
    public static void main(String[] args) throws IOException {
        Customer customer = new Customer();
        customer.setName("Emily");
        customer.setAddress("642 Buckhannan Avenue Stratford");
        customer.setPhone("111-111-111");
        customer.setCellPhone("222-222-222");
        customer.setCustomerSince(Date.from(ZonedDateTime.now().minusYears(8).toInstant()));
        customer.setEmailAddress("emily@example.com");
        System.out.println("-- before serialization --");
        System.out.println(customer);

        ObjectMapper om = new ObjectMapper();
        String jsonString = om.writerWithView(Views.QuickContactView.class)
                     .writeValueAsString(customer);
        System.out.println("-- after serialization --");
        System.out.println(jsonString);
    }
}